<?php
//  学生・生徒・児童用

session_start();
include("../param.inc");
print_header("Calendar");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else {
	print_headline("Event calendar");
	?>
<CENTER><?php
//
//============初期設定============
$last_year = 2037;
$wday_color = "#000000"; //平日の文字色は黒
$sat_color = "#0000ff"; //土曜日の文字色は青
$sun_color = "#ff0000"; //日曜日の文字色は赤
$reg_color = "#ffccff"; //今日の日付の背景色は淡いピンク
$month_name = array("January","February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");
//================================

//スーパーグローバル変数対策
if(!isset($PHP_SELF)){ $PHP_SELF = $_SERVER["PHP_SELF"]; }
if(!isset($action)){
	if(isset($_GET['action'])){
		$action = $_GET['action'];
	}else if(isset($_POST['action'])){
		$action = $_POST['action'];
	} else $action = NULL;
}
if(!isset($code)){
	if(isset($_GET['code'])){
		$code = $_GET['code'];
	}else if(isset($_POST['code'])){
		$code = $_POST['code'];
	} else $code = NULL;
}
if(!isset($year)){
	if(isset($_GET['year'])){
		$year = $_GET['year'];
	}else if(isset($_POST['year'])){
		$year = $_POST['year'];
	} else $year = NULL;
}
if(!isset($month)){
	if(isset($_GET['month'])){
		$month = $_GET['month'];
	}else if(isset($_POST['month'])){
		$month = $_POST['month'];
	} else $month = NULL;
}
if(!isset($day)){ if (isset($_GET['day'])) $day = $_GET['day']; else $day = NULL;}
if(!isset($ayear)){ if (isset($_POST['ayear'])) $ayear = $_POST['ayear']; else $ayear = NULL;}
if(!isset($amonth)){ if (isset($_POST['amonth'])) $amonth = $_POST['amonth']; else $amonth = NULL;}
if(!isset($aday)){ if (isset($_POST['aday'])) $aday = $_POST['aday']; else $aday = NULL;}
if(!isset($date)){ if (isset($_POST['date'])) $date = $_POST['date']; else $date = NULL;}
// コメントは日本語のコード変換
if(!isset($comment)){ if (isset($_POST['comment'])) $comment = mb_convert_encoding($_POST['comment'], "UTF-8","auto"); else $comment = NULL;}
if(!isset($c_color)){ if (isset($_POST['c_color'])) $c_color = $_POST['c_color']; else $c_color = NULL;}
//エスケープ記号対策（SJIS のとき“表”などの0x5c が取り除かれるのでコメント化）
//    $comment = stripslashes($comment);

//変数$yearがセットされていなければ当年
$year = (!isset($year)) ? date("Y") : $year;
//変数$monthがセットされていなければ当月
$month = (!isset($month)) ? date("n") : $month;
//移動用の年月を取得
if($month == 1){
	$pre_month = 12;
	$pre_year = $year - 1;
	$next_month = $month + 1;
	$next_year = $year;
}elseif($month == 12){
	$pre_month = $month - 1;
	$pre_year = $year;
	$next_month = 1;
	$next_year = $year + 1;
}else{
	$pre_month = $month - 1;
	$pre_year = $year;
	$next_month = $month + 1;
	$next_year = $year;
}
//変数$dayがセットされていなければ当日
$day = (!isset($day)) ? date("j") : $day;
$today = date("Y/n/j"); //今日の日付データ
$data_max = 100; //データ最大記録数
$data_file = './log.dat';
$holiday_file = './holiday.dat'; //休日用ファイル
?>
<P>
<TABLE BORDER="0">
	<TR>
		<TD><?php echo "<A HREF=$PHP_SELF?year=$pre_year&month=$pre_month onMouseOver=this.style.color='red' onMouseOut=this.style.color='blue'>Last month</A>"; ?>
		</TD>
		<TD>
		<P ALIGN="CENTER"><?php echo "<FONT SIZE=6><B>" . $month_name[($month-1)] . " " .$year ."</B></FONT>"; ?>
		
		</TD>
		<TD>
		<P ALIGN="RIGHT"><?php echo "<A HREF=$PHP_SELF?year=$next_year&month=$next_month onMouseOver=this.style.color='red' onMouseOut=this.style.color='blue'>Next month</A>"; ?>
		
		</TD>
		<TD>&nbsp;</TD>
		<TD>&nbsp;</TD>
	</TR>
	<TR>
		<TD COLSPAN="3">
		<TABLE BORDER="3" CELLSPACING="1" CELLPADDING="1">
			<TR>
				<TD BGCOLOR="#CCFFFF">
				<P ALIGN="CENTER"><FONT COLOR="red"><B>Sun</B></FONT>
				
				</TD>
				<TD BGCOLOR="#CCFFFF">
				<P ALIGN="CENTER"><B>Mon</B>
				
				</TD>
				<TD BGCOLOR="#CCFFFF">
				<P ALIGN="CENTER"><B>Tue</B>
				
				</TD>
				<TD BGCOLOR="#CCFFFF">
				<P ALIGN="CENTER"><B>Wed</B>
				
				</TD>
				<TD BGCOLOR="#CCFFFF">
				<P ALIGN="CENTER"><B>Thu</B>
				
				</TD>
				<TD BGCOLOR="#CCFFFF">
				<P ALIGN="CENTER"><B>Fri</B>
				
				</TD>
				<TD BGCOLOR="#CCFFFF">
				<P ALIGN="CENTER"><FONT COLOR="blue"><B>Sat</B></FONT>
				
				</TD>
			</TR>

			<?php

			//その月の初日のタイムスタンプを取得
			$time = mktime(0, 0, 0, $month, 1, $year);
			//その月の初日の曜日を取得
			$day_of_first = date("w", $time);
			//その月の日数を取得
			$date_of_month = date("t", $time);
			//その月の週数を取得
			$week_of_month = ceil($date_of_month / 7);
			if(($date_of_month % 7 > 7 - $day_of_first) || ($date_of_month % 7 == 0 && $day_of_first != 0)){
				$week_of_month++;
			}
			//カレンダーを出力
			for($i = 1; $i <= $week_of_month * 7; $i++){
				if($i % 7 == 1){
					echo "<tr>";
				}
				if(($i - 1 < $day_of_first) || ($i > $date_of_month + $day_of_first)){
					echo "<td>&nbsp;</td>";
				}else{
					if($i % 7 == 1){
						$color = $sun_color;
					}elseif($i % 7 == 0){
						$color = $sat_color;
					}else{
						$color = $wday_color;
					}
					//日付を整形
					$day_num = $i - $day_of_first;
					$date_str = $year . "/" . $month . "/" . $day_num;
					$date_str2 = $month . "/" . $day_num;
					if($date_str == $today){
						echo "<td width=100 height=70 valign=top bgcolor=$reg_color>";
					}else{
						echo "<td width=100 height=70 valign=top>";
					}

					//ログデータを抽出
					$message = file($data_file);
					$today_flag = 0;
					for($j=0; $j<count($message); $j++){
						list($icode,$idate,$ic_color,$icomment) = explode( ",", $message[$j]);
						if($date_str == $idate){
							$today_flag++;
							$today_comment = $icomment;
							//				$today_comment = str_replace("<br />", "\n", $today_comment);
							$today_comment = chop($today_comment);
							$today_code = $icode;
							$c_color = $ic_color;
							break;
						}
					}
					unset($message);
					//祭日データを抽出
					$message = file($holiday_file);
					$h_flag = 0;
					for($j=0; $j<count($message); $j++){
						list($tdate,$h_name) = explode( ",", $message[$j]);
						//			if($date_str2 == $tdate){
						//  休日データも年／月／日 で指定するように変更
						if($date_str == $tdate){
							$h_flag++;
							$h_name = chop($h_name);
							break;
						}
					}
					unset($message);

					if($h_flag){ $color = $sun_color; }
					echo "<font size=5 color=" . $color . ">$day_num</font>";
					if($h_flag){
						echo "<br><font size=2 color='red'>" . $h_name . "</font>";
					}
					if($today_flag){
						echo "<br><font size=2 color=" . $c_color . ">" . $today_comment . "</font>";
					}
					echo "</td>";
				}
				if($i % 7 == 0){
					echo "</tr>\n";
				}
			}
			?>

		</TABLE>
		</TD>
	</TR>
</TABLE>
<div align=right><font size=-1>Powered by <a
	href="http://www.komonet.ne.jp/" onMouseOver="this.style.color='red'"
	onMouseOut="this.style.color='blue'">KOMONET</a></font></div>

</CENTER>
<?php
}
?>
</BODY>
</HTML>
