<?php
session_start();
include("../param.inc");
include("quiz_preview.inc");
include("quiz.inc");

/**
 *	成績の表示
 *	@param $scorefile 成績保存ファイル
 */
function print_score($scorefile) {  // 成績の表示
    global $pcount;

	if (!file_exists($scorefile))
	print_error("No score file.");
	else {
		$fp = fopen($scorefile, "r");
		$data = NULL;
		while ($data[] = fgets($fp, 4096));  // 成績を取り込む
		fclose($fp);
		$n = count($data);
		if ($n > 1) {
			print("<TABLE border=1><TR><TH>Score</TH><TH>Questions</TH><TH>Date answered</TH><TH>Time used (second))</TH><TH>No.</TH>\n");
			$val = explode(",", $data[0]); // カンマで分割
		//	 $j = count($val);
		// for ($i=1; $i < ($j-6)/3; $i++)  // 問題番号を出力
		for ($i=1; $i <= $pcount; $i++)
		print("<TH>" . $i . "</TH>");
			print("</TR>\n");
			for ($i = 0; $i < $n-1; $i++) {
				$val = explode(",", $data[$i]); // カンマで分割
				print("<TR><TD align='center'>$val[2]</TD><TD align='center'>$val[3]</TD><TD>$val[4]</TD><TD align='right'>$val[5]</TD>");
			print("<TD align='center'>Question no.<BR>Answer<BR>Judgement</TD>");
			    $j = count($val);  // 最終小テストの半端な問題数に対応
				for ($k = 6; $k< $j-1; $k=$k+3) {
				print("<TD align='center'>" . $val[$k] . "<BR>" . $val[$k+1]);  // 問題番号，生徒の解答
					if ($val[$k+2] == "○") // 正解
					print("<BR><FONT color='BLUE'>○</FONT></TD>");
					else                    // 間違い
					print("<BR><FONT color='RED'>×</FONT></TD>");
				}
				print("</TR>\n");
			}
			print("</TABLE>\n");
		}
	}
}

print_header("Quiz");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else {
	print_headline("Score");
	?>
<FORM method="POST" action="score.php">
<CENTER><?php
$i = 1;
while(file_exists("q" . $i)) $i++;
print_title1("Quiz no. $i");

$scorefile = "doc/" . $_SESSION['id'];
print_score($scorefile);

//  現在の小テストは解答を見せない
//
//      print("<H4>問題，正解，解説</H4>");
//      quiz_preview("doc/", "doc/quiz.csv");  // 問題、正解、解説の表示

print_title2("Older score");
?> <?php
$path = 0;
$i = 1;
while(file_exists("q" . $i)) {
	$x = "q" . $i;
	if (isset($_POST[$x])) $path = $i;
	print('<INPUT type="submit" value="No.' . $i . '" name="' .$x. '"> 　');
	$i++;
}
if ($path > 0) {
	$x = "q" . $path;
	print("<H4>Quiz no. $path</H4>");
	$scorefile = $x . "/" .$_SESSION['id'];
	print_score($scorefile);   // 成績の表示
	print("<H4>Questions, Answer, Explanation</H4>");
	quiz_preview($x . "/", $x . "/quiz.csv");  // 問題、正解、解説の表示
}
?></CENTER>
</FORM>
<?php
} print_copyright();
?>

</BODY>
</HTML>
